# Web Button Visibility

This module allows to hide specific buttons for specific user groups if specific conditions are verified.

Table of contents

- Use Cases / Context
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Use Cases / Context

This module can be useful in combination with customized workflows (eg: module base_substate) to avoid user from performing certain actions if a specific condition is verified.

# Usage

Go to Settings > Technical > Models, open a model

In tab “Hide button rule”, add a button name and a group, and optionally a condition

For users of that group and as long as the condition is met, button is not visible.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Ilyas
- ooops404

## Contributors

- Ooops404:
  - Ilyas <irazor147@gmail.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.